Package Details: rare 1.9.3-1

Git Clone URL: https://aur.archlinux.org/rare.git (read-only, click to copy)
Package Base: rare
Description: A GUI for legendary, an open source replacement for Epic Games Launcher
Upstream URL: https://github.com/Dummerle/Rare
Keywords: epic-games game-launcher games legendary
Licenses: GPL3
Conflicts: rare-git
Submitter: Dummerle
Maintainer: Dummerle
Last Packager: Dummerle
Votes: 9
Popularity: 0.25
First Submitted: 2021-03-14 14:18 (UTC)
Last Updated: 2022-11-04 21:20 (UTC)

Latest Comments

1 2 Next › Last »

gyurman commented on 2022-05-14 11:13 (UTC)

/usr/bin/rare Traceback (most recent call last): File "/usr/bin/rare", line 33, in <module> sys.exit(load_entry_point('Rare==1.8.9', 'console_scripts', 'rare')()) File "/usr/lib/python3.10/site-packages/rare/__main__.py", line 96, in main from rare.app import start File "/usr/lib/python3.10/site-packages/rare/app.py", line 19, in <module> import rare.shared as shared File "/usr/lib/python3.10/site-packages/rare/shared.py", line 3, in <module> from legendary.core import LegendaryCore File "/usr/lib/python3.10/site-packages/rare/legendary/legendary/core.py", line 27, in <module> from legendary.lfs.egl import EPCLFS File "/usr/lib/python3.10/site-packages/rare/legendary/legendary/lfs/egl.py", line 9, in <module> from legendary.models.egl import EGLManifest File "/usr/lib/python3.10/site-packages/rare/legendary/legendary/models/egl.py", line 2, in <module> from distutils.util import strtobool File "<frozen importlib._bootstrap>", line 1027, in _find_and_load File "<frozen importlib._bootstrap>", line 1006, in _find_and_load_unlocked File "<frozen importlib._bootstrap>", line 674, in _load_unlocked File "<frozen importlib._bootstrap>", line 571, in module_from_spec File "/usr/lib/python3.10/site-packages/_distutils_hack/__init__.py", line 92, in create_module return importlib.import_module('setuptools._distutils') File "/usr/lib/python3.10/importlib/__init__.py", line 126, in import_module return _bootstrap._gcd_import(name[level:], package, level) File "/usr/lib/python3.10/site-packages/setuptools/__init__.py", line 16, in <module> import setuptools.version File "/usr/lib/python3.10/site-packages/setuptools/version.py", line 1, in <module> import pkg_resources File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 3267, in <module> def _initialize_master_working_set(): File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 3241, in _call_aside f(*args, **kwargs) File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 3279, in _initialize_master_working_set working_set = WorkingSet._build_master() File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 573, in _build_master ws.require(__requires__) File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 891, in require needed = self.resolve(parse_requirements(requirements)) File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 777, in resolve raise DistributionNotFound(req, requirers) pkg_resources.DistributionNotFound: The 'pypresence' distribution was not found and is required by Rare

carlosal1015 commented on 2022-01-09 23:00 (UTC)

For my side is fine.

==> Leaving fakeroot environment.
==> Finished making: rare 1.8.6-1 (Sun 09 Jan 2022 05:59:34 PM -05)
==> Cleaning up...

saburouta commented on 2022-01-09 21:49 (UTC)

Is anyone else just getting "ModuleNotFoundError: No module named 'psutil'"?

Gelmo commented on 2022-01-03 00:43 (UTC)

Oops, needed to refresh. Sorry for the false flag

Dummerle commented on 2021-12-28 10:57 (UTC)

@jesseFrey Pypresence should be optional. Which error do you get?

jesseFrey commented on 2021-12-27 23:35 (UTC)

is python-pypresence optional? I got a runtime error before I installed it

Frogboy commented on 2021-10-02 04:10 (UTC)

Gets stuck at "downloading images - 80%" then crashes.

kekonn commented on 2021-08-17 16:08 (UTC)

I am getting an error when installing the 1.5.0 package:

==> Starting prepare()... cp: cannot stat '/var/tmp/pamac-build-kekkon/rare/src/Rare-1.5.0/rare/styles/Logo.png': No such file or directory ==> ERROR: A failure occurred in prepare(). Aborting...

peoro commented on 2021-03-16 13:53 (UTC)

Thanks again for the very quick fix!

rare still crashes due to the missing icon mdi.view-grid-outline.

I looked a bit into that and noticed that the python-qtawesome package in arch's community repo is version 0.6.0 (while the latest upstream version is 1.0.2; the package has been flagged out of date for months, apparently).

python-qtawesome 0.6.0 was using mdi 3.8.95 which didn't include a view-grid-outline icon.

Replacing "mdi.view-grid-outline" with "mdi.view-grid" in Rare/utils/QtExtensions.py (lines 228 and 234) fixed the issue.

I'm not sure what the best solution could be. But the quickest one is to run a sed -i 's/mdi.view-grid-outline/mdi.view-grid/' $srcdir/Rare-$pkgver/Rare/utils/QtExtensions.py in the pkgbuild's prepare function.